jQuery(document).ready(function($) {
  var cols_count = getTableColsCount();
  var place = anwc_placements["admin_orders"];

  $("table.posts tr.type-shop_order").each(function(i, el) {
    var types = ["success", "failed"];
    for (x in types) {
      var type = types[x];
      var theme = anwc_style["theme"][type];
      if (jQuery.inArray(theme, default_themes) >= 0) {
        var color = anwc_style["color"][type]
          ? "background-color:" + anwc_style["color"][type]
          : "";
        var bgcolor = anwc_style["bgcolor"][type]
          ? "background-color:" + anwc_style["bgcolor"][type]
          : "";
        
          anwc_stages[type] = jQuery.extend(
            {},
            { "anwc-ordered": "Ordered" },
            anwc_stages[type]
          );
        
        var stages = anwc_stages[type];

        var stage = $(el)
          .find("#opb_order_status")
          .val();
        if (stage in stages) {
          var order_number = $(el)
            .find("#opb_order_number")
            .val();
          var data = _progress_bar(stages, stage);
          console.log(data);
          var phtml =
            '<tr id="progress_' +
            order_number +
            '" class="progressbar ' +
            type +
            '"><td colspan="' +
            cols_count +
            '"><div class="meter ' +
            theme +
            '" style="' +
            bgcolor +
            '" ><span style="width: ' +
            (data["scores"][stage] == 100 ? "" : data["scores"][stage]) +
            "%; " +
            color +
            '"></span></div><div class="stage_names">' +
            data["html"] +
            "</div></td></tr>";
          if (place == "below") {
            $(el).after(phtml);
          } else {
            $(el).before(phtml);
          }
        }
      }
    }
  });
});
