/*jQuery(document).ready(function($) {
  var theme = anwc_style["theme"];
  if (jQuery.inArray(theme, default_themes) >= 0) {
    var stages = anwc_stages; //['Processing', 'Creation', 'Makeup Chair', '(Partially Shipped)', 'Shipped', 'Ready for Pickup'];
    var stage = $("#opb_order_status").val();
    var color = anwc_style["color"]
      ? "background-color:" + anwc_style["color"]
      : "";
    var bgcolor = anwc_style["bgcolor"]
      ? "background-color:" + anwc_style["bgcolor"]
      : "";
    if (stage in stages) {
      var order_number = $("#opb_order_number").val();
      var data = _progress_bar(stages, stage);
      console.log(data);
      $(".woocommerce-order-details__title").before(
        '<p id="progress_bar"><div class="meter ' +
          theme +
          '" style="' +
          bgcolor +
          '" ><span style="width: ' +
          (data["scores"][stage] == 100 ? "" : data["scores"][stage]) +
          "%; " +
          color +
          '"></span></div><div class="stage_names">' +
          data["html"] +
          "</div></p><br><br>"
      );
    }
  }
});
*/

jQuery(document).ready(function($) {
  var types = ["success", "failed"];
  var place = anwc_placements["order"];
  var place = place.split("||");

  for (x in types) {
    var type = types[x];
    var theme = anwc_style["theme"][type];
    if (jQuery.inArray(theme, default_themes) >= 0) {
      var color = anwc_style["color"][type]
        ? "background-color:" + anwc_style["color"][type]
        : "";
      var bgcolor = anwc_style["bgcolor"][type]
        ? "background-color:" + anwc_style["bgcolor"][type]
        : "";

      anwc_stages[type] = jQuery.extend(
        {},
        { "anwc-ordered": "Ordered" },
        anwc_stages[type]
      );

      var stages = anwc_stages[type];
      var stage = $("#opb_order_status").val();
      if (stage in stages) {
        var order_number = $("#opb_order_number").val();
        var data = _progress_bar(stages, stage);
        console.log(data);
        var phtml =
          '<div id="progress_bar" class="' +
          type +
          '"><div class="meter ' +
          theme +
          '" style="' +
          bgcolor +
          '" ><span style="width: ' +
          (data["scores"][stage] == 100 ? "" : data["scores"][stage]) +
          "%; " +
          color +
          '"></span></div><div class="stage_names">' +
          data["html"] +
          "</div></div><br><br>";

        if (place[1] == "below") {
          $("." + place[0]).after(phtml);
        } else {
          $("." + place[0]).before(phtml);
        }
      }
    }
  }
});
